Get candlestick data
curl --request GET \
--url https://exchange.kuru.io/api/v3/klinesimport requests
url = "https://exchange.kuru.io/api/v3/klines"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://exchange.kuru.io/api/v3/klines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"openTime": 1699999999000,
"open": "100.00",
"high": "101.50",
"low": "99.50",
"close": "100.50",
"volume": "10000.50",
"closeTime": 1700003599000,
"quoteVolume": "1000000.25",
"numTrades": 500
}
]{
"code": -1102,
"msg": "Mandatory parameter 'symbol' was not sent."
}{
"code": -1102,
"msg": "Mandatory parameter 'symbol' was not sent."
}Market Data
Get candlestick data
Get kline/candlestick bars for a symbol.
Weight: 1 (limit ≤ 100) / 2 (limit 101–500) / 5 (limit > 500)
GET
/
api
/
v3
/
klines
Get candlestick data
Query Parameters
Trading pair symbol
Example:
"MON_USDC"
Kline interval
Available options:
1m, 5m, 15m, 30m, 1h, 4h, 1d, 1w Example:
"1h"
Start time in milliseconds
Example:
1699900000000
End time in milliseconds
Example:
1699999999000
Number of klines to return (default 500, max 1000)
Required range:
1 <= x <= 1000Example:
500
Response
Successful response
Kline open time in milliseconds
Example:
1699999999000
Opening price
Example:
"100.00"
Highest price
Example:
"101.50"
Lowest price
Example:
"99.50"
Closing price
Example:
"100.50"
Trading volume in base asset
Example:
"10000.50"
Kline close time in milliseconds
Example:
1700003599000
Trading volume in quote asset
Example:
"1000000.25"
Number of trades during the kline
Example:
500